Subject: Re: [Question] check_repository_format_gently() is not side-effect-free

From: Junio C Hamano <[email-masked]>
Date: Thu, 19 Mar 2026 11:07:09 -0700

Tian Yuchen <[email-masked]> writes:

The verb "check" does not imply side-effect-free.  By checking, each
of these functions tries to achieve something, and the way the
result of their work is conveyed back to the caller may not
necessarily be only by their return values.

The adverb "gently" in this codebase typically means "the variant
without gently signals problems by dying.  Instead of dying, return
to the caller with error code, so that the caller can decide to
die".